﻿@model webUI.SICO.Models.EntityViewModel

@{
    ViewBag.Title = "Agregar Nueva Entidad";
}

<div class="row">
    <div class="col-lg-12">
        <section class="card">
            <header class="card-header">
                <h4>
                    @ViewBag.Title
                    <span class="tools pull-right">
                        <a href="javascript:;" class="fa fa-chevron-down"></a>
                        <a href="javascript:;" class="fa fa-times"></a>
                    </span>
                </h4>
            </header>
            <div class="card-body">
                <button class="btn btn-default" type="button" onclick="location.href='../../Entity/List'">
                    <span class="fa fa-arrow-left"></span> Atras
                </button>
                <button id="btnSave" class="btn btn-success" type="button" onclick="fnSave()">
                    <span class="fa fa-save"></span> Guardar
                </button>

            </div>
        </section>
    </div>
</div>             

<div class="row">
    <div class="col-lg-12">
        <section class="card">
            <div class="card-body">
                <section id="flip-scroll">
                    @using (Html.BeginForm())
                    {
                        @Html.AntiForgeryToken()

                        <div class="form-horizontal">                            
                            @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                            <div class="form-group">
                                @Html.LabelFor(model => model.Name, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-10">
                                    @Html.EditorFor(model => model.Name, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.Name, "Debe agregar un nombre", new { @class = "text-danger" })
                                </div>
                            </div>

                            <div class="form-group">
                                @Html.LabelFor(model => model.EntityType, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-lg-10">
                                    @Html.EnumDropDownListFor(model => model.EntityType, new { @class = "form-control" })
                                    @Html.ValidationMessageFor(model => model.EntityType, "Debe definir un tipo de entidad.", new { @class = "text-danger" })
                                </div>
                            </div>

                            <div class="form-group">
                                @Html.LabelFor(model => model.DocumentType, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-10">
                                    @Html.DropDownListFor(m => m.DocumentType, new SelectList(ViewBag.DocumentTypes, "DocumentTypeId", "DocumentTypeName",Model.DocumentType), new { @class = "form-control" })
                                    @Html.ValidationMessageFor(model => model.DocumentType, "Debe Definir un tipo de Documento", new { @class = "text-danger" })
                                </div>
                            </div>

                            <div class="form-group">
                                @Html.LabelFor(model => model.Document, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-10">
                                    @Html.EditorFor(model => model.Document, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.Document, "Debe agregar un documento de identidad", new { @class = "text-danger" })
                                </div>
                            </div>

                            <div class="form-group">
                                @Html.LabelFor(model => model.Address, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-10">
                                    @Html.EditorFor(model => model.Address, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.Address, "", new { @class = "text-danger" })
                                </div>
                            </div>

                            <div class="form-group">
                                @Html.LabelFor(model => model.Telephone, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-10">
                                    @Html.EditorFor(model => model.Telephone, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.Telephone, "", new { @class = "text-danger" })
                                </div>
                            </div>

                            <div class="form-group">
                                @Html.LabelFor(model => model.IsActive, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-10">
                                    <div class="checkbox">
                                        @Html.EditorFor(model => model.IsActive)
                                        @Html.ValidationMessageFor(model => model.IsActive, "", new { @class = "text-danger" })
                                    </div>
                                </div>
                            </div>
                        </div>
                    }
                </section>
            </div>
        </section>
    </div>
</div>

   

    @section Scripts {
        <script type="text/javascript">

        function fnSave()
        {

            var par = {};
            par.Id = 0;
            par.Name = $("#Name").val();
            par.Document = $("#Document").val();
            par.EntityType = $("#EntityType").val();
            par.DocumentType = $("#DocumentType").val();
            par.Address = $("#Address").val();
            par.Telephone = $("#Telephone").val();


            $.ajax({
              url: ('@Url.Action("Save", "Entity")'),
              type: "POST",
              async:false,
              data: '{param:' + JSON.stringify(par) + '}',
              dataType: "json",
              contentType: "application/json; charset=utf-8",
              success: function (result) {
                  if (result.Type == "E") {
                      toastr.error(result.Message);
                  }
                  else {
                      toastr.success('Se guardo correctamente.');
                      location.href = '/Entity/List';
                  }


              },
              error: function (result) {
                  toastr.error('Se produjo un error inesperado', 'Error');
              }
            });
        }




        </script>

        @Scripts.Render("~/bundles/jqueryval")
    }
